# POST /api/v1/delayed-charges

> Create delayed charge

- **Tag:** delayed-charges
- **Operation ID:** `create_delayed_charge_api_v1_delayed_charges_post`

## Description

Create a new delayed charge or credit in pending status.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Request body

Schema: `DelayedChargeCreate`

- `type` (string) — Type: 'charge' or 'credit'
- `customer_id` (string · required) — Customer to charge
- `amount` (integer · required) — Amount in cents
- `description` (string · required) — Description
- `line_items` (array · DelayedChargeLineItem) — Optional line items
- `service_date` (string) — Date service was performed (YYYY-MM-DD)
- `internal_notes` (string) — Internal notes
- `currency` (string) — Currency code

## Responses

### 201 — Successful Response

Schema: `DelayedChargeResponse`

- `id` (string · required)
- `business_id` (string · required)
- `customer_id` (string · required)
- `type` (string · required)
- `status` (string · required)
- `currency` (string · required)
- `amount` (integer · required)
- `amount_in_dollars` (string · required)
- `description` (string · required)
- `internal_notes` (string)
- `line_items` (object)
- `service_date` (string · date-time)
- `invoiced_invoice_id` (string)
- `invoiced_at` (string · date-time)
- `created_at` (string · date-time · required)
- `updated_at` (string · date-time · required)
- `customer_name` (string)
- `can_be_updated` (boolean)
- `can_be_deleted` (boolean)
- `can_be_invoiced` (boolean)

### 400 — Bad Request - Invalid input

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X POST 'https://api.ondayzero.com/api/v1/delayed-charges' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID' \
  -H 'Content-Type: application/json' \
  -d '{
  "customer_id": "string",
  "amount": 0,
  "description": "string"
}'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/delayed-charges', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "customer_id": "string",
  "amount": 0,
  "description": "string"
}),
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

payload = {
  "customer_id": "string",
  "amount": 0,
  "description": "string"
}

response = httpx.post("https://api.ondayzero.com/api/v1/delayed-charges", headers=headers, json=payload)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/delayed-charges/create-delayed-charge
- OpenAPI slice: https://www.ondayzero.com/docs/reference/delayed-charges/create-delayed-charge/openapi.json
- Other endpoints in **delayed-charges**: https://www.ondayzero.com/docs/reference/delayed-charges
